# 🔗 Boron

**Effortlessly link C language with Python using simple `.bn` config files.**  
Boron makes cross-language integration easy, testable, and maintainable.

---

## Features

- **Simple Config-Based Linking:** Use a `.bn` file to connect C functions to Python.
- **Automatic Build System:** Just run `boron build` to compile and prepare bindings.
- **Testbench Generator:** Use `boron test` to auto-generate and run test cases.
- **Auto Documentation:** Generate Markdown docs with `boron doc`.
- **Function-Level Lineage:** Track individual changes using `boron lineage`.
- **Struct Support:** Supports mapping C `struct`s into Python.
- **DLL Support:** Ships and links `.dll` files for seamless integration on Windows.

---

## Installation

```bash
pip install boron-v1
